Subject: Subnetting question

From: "Mario Goebbels" <[email-masked]>
Date: Mon, 3 Nov 2003 14:20:40 +0100

Hi!

I need a clarification on the question if I can use the very first subnet in a network.

Means if I would get assigned 2001:1234:5678::/48 from a RIR, if I can use 2001:1234:5678:0::/64 within my own network, or if the same rules as in IPv4 subnetting apply (first and last one aren't usable).

Thanks

-mg

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 3 Nov 2003 16:38:37 -0500 (EST)

On Mon, 3 Nov 2003, Mario Goebbels wrote:
Hi Mario,
  This is theoretically allowed. Check out section 2 of RFC3513

"In IPv6, all zeros and all ones are legal values for any field,
   unless specifically excluded.  Specifically, prefixes may contain, or
   end with, zero-valued fields."

I really don't know what issues you might encounter though.One issue I see
right away is the subnet-router anycast address (section 2.6.1 of RFC3513) 
would be the same for both the /48 and the /64. 

Regards
Suresh